Package org.apache.storm.utils

# Enum Class ShellUtils.OSType

java.lang.Object
java.lang.Enum<ShellUtils.OSType>
org.apache.storm.utils.ShellUtils.OSType

All Implemented Interfaces:
  `Serializable`, `Comparable<ShellUtils.OSType>`, `Constable`

Enclosing class:
  ShellUtils

public static enum ShellUtils.OSType extends Enum<ShellUtils.OSType>
OSType detection.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `OS_TYPE_FREEBSD`
  `OS_TYPE_LINUX`
  `OS_TYPE_MAC`
  `OS_TYPE_OTHER`
  `OS_TYPE_SOLARIS`
  `OS_TYPE_WIN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ShellUtils.OSType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ShellUtils.OSType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OS_TYPE_LINUX

    public static final ShellUtils.OSType OS_TYPE_LINUX

  - ### OS_TYPE_WIN

    public static final ShellUtils.OSType OS_TYPE_WIN

  - ### OS_TYPE_SOLARIS

    public static final ShellUtils.OSType OS_TYPE_SOLARIS

  - ### OS_TYPE_MAC

    public static final ShellUtils.OSType OS_TYPE_MAC

  - ### OS_TYPE_FREEBSD

    public static final ShellUtils.OSType OS_TYPE_FREEBSD

  - ### OS_TYPE_OTHER

    public static final ShellUtils.OSType OS_TYPE_OTHER

- ## Method Details

  - ### values

    public static ShellUtils.OSType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ShellUtils.OSType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null